# Poco

# class FileStreamFactory

Library: Foundation
Package: URI
Header: Poco/FileStreamFactory.h

## Description

An implementation of the URIStreamFactory interface that handles file URIs.

## Inheritance

Direct Base Classes: URIStreamFactory

All Base Classes: URIStreamFactory

## Member Summary

Member Functions: open

Inherited Functions: open

## Constructors

### FileStreamFactory

FileStreamFactory();

Creates the FileStreamFactory.

## Destructor

### ~FileStreamFactory

~FileStreamFactory();

Destroys the FileStreamFactory.

## Member Functions

### open

std::istream * open(
const URI & uri
);

Creates and opens a file stream in binary mode for the given URI. The URI must be either a file URI or a relative URI reference containing a path to a local file.

Throws an FileNotFound exception if the file cannot be opened.

See also: Poco::URIStreamFactory::open()

### open

std::istream * open(
const Path & path
);

Creates and opens a file stream in binary mode for the given path.

Throws an FileNotFound exception if the file cannot be opened.